<?xml version="1.0" encoding="UTF_8"?>
<ZoomCap>
    <tag key="HAL_CUSTOM_FRONT_ZOOM_SUPPORT" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_AUTO_SWITCH_WIDE_FOV_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_ZOOM_CAPABILITY" type="int32_t">
        <zoomAccuracy>100</zoomAccuracy>
        <defZoom>
            <captureSceneMode type="string2Enum">CAMERA_CUSTOM_SM_INVALID</captureSceneMode>
            <zoomMode type="string2Enum">CAMERA_CUSTOM_ZOOM_MODE_INVALID</zoomMode>
            <zoomDownLimit>0</zoomDownLimit>
            <zoomUpLimit>0</zoomUpLimit>
            <midZoomCount>0</midZoomCount>
            <midZoom>
                <value>0</value>
                <value>0</value>
                <value>0</value>
                <value>0</value>
            </midZoom>
        </defZoom>
        <zoomInfo>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_CAPTURE</captureSceneMode>
                <zoomMode type="string2Enum">CAMERA_CUSTOM_ZOOM_MODE_DIGITAL</zoomMode>
                <zoomDownLimit>67</zoomDownLimit>
                <zoomUpLimit>100</zoomUpLimit>
                <midZoomCount>2</midZoomCount>
                <midZoom>
                    <value>100</value>
                    <value>80</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_CUSTOM_SM_BEAUTY</captureSceneMode>
                <zoomMode type="string2Enum">CAMERA_CUSTOM_ZOOM_MODE_DIGITAL</zoomMode>
                <zoomDownLimit>67</zoomDownLimit>
                <zoomUpLimit>100</zoomUpLimit>
                <midZoomCount>2</midZoomCount>
                <midZoom>
                    <value>100</value>
                    <value>80</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_CUSTOM_SM_PORTRAIT</captureSceneMode>
                <zoomMode type="string2Enum">CAMERA_CUSTOM_ZOOM_MODE_DIGITAL</zoomMode>
                <zoomDownLimit>67</zoomDownLimit>
                <zoomUpLimit>100</zoomUpLimit>
                <midZoomCount>2</midZoomCount>
                <midZoom>
                    <value>100</value>
                    <value>80</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
            <zoom>
                <captureSceneMode type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</captureSceneMode>
                <zoomMode type="string2Enum">CAMERA_CUSTOM_ZOOM_MODE_DIGITAL</zoomMode>
                <zoomDownLimit>67</zoomDownLimit>
                <zoomUpLimit>100</zoomUpLimit>
                <midZoomCount>2</midZoomCount>
                <midZoom>
                    <value>100</value>
                    <value>80</value>
                    <value>0</value>
                    <value>0</value>
                </midZoom>
            </zoom>
        </zoomInfo>
    </tag>
</ZoomCap>
